ni

nuclear-i18n

i18next wrapper with markdown support for Express.js applications

Showing:

Popularity

Downloads/wk

12

GitHub Stars

0

Maintenance

Last Commit

7yrs ago

Contributors

1

Package

Dependencies

0

Size (min+gzip)

0.5KB

License

ISC

Type Definitions

Tree-Shakeable

No?

Categories

Readme

nuclear-i18n

i18next wrapper with markdown support for Express applications.

Install

$ npm install nuclear-i18n

Usage

Pass your Express app object to the module just before setting up your router middleware.

require('./lib/i18n')(app)

The module will look for the locale files in public/locales/%{lng}/%{ns}.json. You can optionally pass a list of locale namespaces as a second argument.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100